Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598990 - Using packagekit collections to delete asian fonts deletes openoffice
Using packagekit collections to delete asian fonts deletes openoffice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 09:47 EDT by Eugene Regad
Modified: 2011-06-27 13:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Regad 2010-06-02 09:47:02 EDT
Description of problem:
Under Fedora 13, Packagekit "Package Collections", removing any of these
font support packages: arabic, armenian, georgian, hebrew, inuktitut,
lao, tajik, urdu, venda also takes out all or most of Openoffice:

The list for arabic:

openoffice.org-pdfimport
openoffice.org-math-core
openoffice.org-writer
openoffice.org-math
openoffice.org-impress
openoffice.org-draw
openoffice.org-xsltfilter
openoffice.org-calc
dejavu-sans-mono-fonts
openoffice.org-draw-core
openoffice.org-presenter-screen
openoffice.org-write-core
openoffice.org-impress-core
openoffice.org-langpack-en
openoffice.org-brand
dejavu-sans-fonts
openoffice.org-core
openoffice.org-graphicfilter

I did'nt bother transcribing the hit-list for the others, but it 
looks comprehensive.

The listing that included openoffice was displayed after the "apply" button was pressed. I did not let the removals run to completion (except the
first time, which necessitated a full re-install-- what else went down?).

I did not find that other asian fonts support packages proposed to
take out openoffice, but most proposed to take out assamese, and
some of the M17 base packages as well.

I did not test the chinese, japanese, korean, or russian packages;
(Didn't plan to remove them).

I have run the test/survey on three different installations of Fedora 13
on two different machines with different hard discs (both ATA and SATA)

The Fedora installations were defaults, replacing the existing fedora installation (10, 11, 12, or 13).  The only additional software installed was vnstat.

Possible problem in Packagekit database?



Version-Release number of selected component (if applicable):


How reproducible:Use PackageKit 'Package Collections' to select font support for removal.  Clicking 'Apply' button brings up proposed supplementary deletion list, which includes openoffice system files.


Steps to Reproduce:
1. Open "Add-Remove" programs; select "package collections."
2. Highlight "Arabic", Unclick installed box; click Apply button
3.
  
Actual results:
Window appears with files to be additionally deleted, includes Openoffice

Expected results:
Should'nt delete openoffice!

Additional info:
Comment 1 Steven M. Parrish 2010-06-04 22:35:11 EDT
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Richard Hughes 2010-06-18 11:14:12 EDT
Can you do this using "yum groupremove foo" on the command line?
Comment 3 Bug Zapper 2011-06-02 08:21:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:20:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.